#!/usr/local/bin/perl5 -w

###########################################################################
#
# utf82uc.pl -- utf8 to unicode converter
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the 
# University of Waikato, New Zealand.
#
# Copyright (C) 1999 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


BEGIN {
    die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
    unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
}

use unicode;

if ($ENV{'GSDLOS'} =~ /windows/i) {
    binmode (STDOUT); # silly windows
}

# output in little endian
print "\xff\xfe";

$line = "";
$ucline = [];
while (defined ($line = <STDIN>)) {
    $ucline = &unicode::utf82unicode ($line);
    foreach $c (@$ucline) {
	$c1 = chr (int ($c / 256));
	$c2 = chr (int ($c % 256));
	print "$c2$c1";
    }
}
